LIMIT2(9)

NAME

limit2 - Limit the output signal to fall between min and max and limit its slew rate to less than maxv per second. When the signal is a position, this means that position and velocity are limited.

SYNOPSIS

loadrt limit2 [count=N|names=name1[,name2...]]

FUNCTIONS

limit2.N (requires a floating-point thread)

PINS

limit2.N.in float in

limit2.N.out float out

limit2.N.load bit in
    When TRUE, immediately set out to in, ignoring maxv

limit2.N.min float in (default: -1e20)

limit2.N.max float in (default: 1e20)

limit2.N.maxv float in (default: 1e20)

AUTHOR

Jeff Epler

LICENSE

GPL